@file-viewer/core 2.4.0 → 3.0.0
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/README.en.md +18 -1
- package/README.md +18 -1
- package/dist/config/options.js +9 -3
- package/dist/contracts/types.d.ts +12 -8
- package/dist/export.d.ts +10 -0
- package/dist/export.js +9 -0
- package/dist/exportDocument.d.ts +36 -0
- package/dist/exportDocument.js +848 -0
- package/dist/features/printMask.js +138 -13
- package/dist/index.d.ts +3 -2
- package/dist/index.js +2 -1
- package/dist/output/export.d.ts +3 -24
- package/dist/output/export.js +27 -372
- package/dist/registry/capabilities.d.ts +2 -2
- package/dist/registry/formats.d.ts +4 -4
- package/dist/registry/formats.generated.d.ts +57 -19
- package/dist/registry/formats.generated.js +101 -2
- package/dist/renderers/index.d.ts +55 -17
- package/dist/security/svgResources.d.ts +13 -0
- package/dist/security/svgResources.js +177 -0
- package/dist/viewer/createViewer.js +42 -0
- package/dist/viewer/operations.d.ts +1 -0
- package/dist/viewer/operations.js +68 -5
- package/package.json +9 -1
|
@@ -7,7 +7,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
7
7
|
readonly supportLevel: "high-fidelity";
|
|
8
8
|
readonly status: "stable";
|
|
9
9
|
readonly packageName: "@file-viewer/renderer-word";
|
|
10
|
-
readonly presets: readonly ["office", "all"];
|
|
10
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
11
11
|
readonly containerVersions: readonly ["OOXML Transitional", "OOXML Strict"];
|
|
12
12
|
readonly knownLimits: readonly ["VBA is never executed"];
|
|
13
13
|
readonly capabilities: {
|
|
@@ -26,7 +26,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
26
26
|
readonly supportLevel: "structured";
|
|
27
27
|
readonly status: "stable";
|
|
28
28
|
readonly packageName: "@file-viewer/renderer-word";
|
|
29
|
-
readonly presets: readonly ["office", "all"];
|
|
29
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
30
30
|
readonly containerVersions: readonly ["Word 97-2003 Binary"];
|
|
31
31
|
readonly knownLimits: readonly ["Macros are never executed"];
|
|
32
32
|
readonly capabilities: {
|
|
@@ -44,7 +44,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
44
44
|
readonly async: true;
|
|
45
45
|
readonly supportLevel: "structured";
|
|
46
46
|
readonly status: "stable";
|
|
47
|
-
readonly packageName: "@file-viewer/renderer-
|
|
47
|
+
readonly packageName: "@file-viewer/renderer-ppt";
|
|
48
48
|
readonly presets: readonly ["office", "all"];
|
|
49
49
|
readonly containerVersions: readonly ["PowerPoint 97-2003 Binary"];
|
|
50
50
|
readonly knownLimits: readonly ["Embedded engine watermark is retained", "Macros are never executed"];
|
|
@@ -63,8 +63,8 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
63
63
|
readonly async: true;
|
|
64
64
|
readonly supportLevel: "high-fidelity";
|
|
65
65
|
readonly status: "stable";
|
|
66
|
-
readonly packageName: "@file-viewer/renderer-
|
|
67
|
-
readonly presets: readonly ["office", "all"];
|
|
66
|
+
readonly packageName: "@file-viewer/renderer-pptx";
|
|
67
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
68
68
|
readonly containerVersions: readonly ["OOXML Transitional", "OOXML Strict"];
|
|
69
69
|
readonly knownLimits: readonly ["Macros and external programs are never executed"];
|
|
70
70
|
readonly capabilities: {
|
|
@@ -83,7 +83,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
83
83
|
readonly supportLevel: "structured";
|
|
84
84
|
readonly status: "stable";
|
|
85
85
|
readonly packageName: "@file-viewer/renderer-word";
|
|
86
|
-
readonly presets: readonly ["office", "all"];
|
|
86
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
87
87
|
readonly containerVersions: readonly ["RTF", "OpenDocument"];
|
|
88
88
|
readonly knownLimits: readonly [];
|
|
89
89
|
readonly capabilities: {
|
|
@@ -102,7 +102,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
102
102
|
readonly supportLevel: "structured";
|
|
103
103
|
readonly status: "stable";
|
|
104
104
|
readonly packageName: "@file-viewer/renderer-spreadsheet";
|
|
105
|
-
readonly presets: readonly ["office", "all"];
|
|
105
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
106
106
|
readonly containerVersions: readonly ["OOXML", "BIFF", "OpenDocument", "Delimited text"];
|
|
107
107
|
readonly knownLimits: readonly ["VBA and add-in code are never executed", "Formula results are read from the saved workbook cache"];
|
|
108
108
|
readonly capabilities: {
|
|
@@ -197,7 +197,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
197
197
|
readonly supportLevel: "structured";
|
|
198
198
|
readonly status: "stable";
|
|
199
199
|
readonly packageName: "@file-viewer/renderer-spreadsheet";
|
|
200
|
-
readonly presets: readonly ["office", "all"];
|
|
200
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
201
201
|
readonly containerVersions: readonly ["dBASE III/IV", "Visual FoxPro"];
|
|
202
202
|
readonly knownLimits: readonly ["Missing DBT/FPT memo sidecars are reported as incomplete"];
|
|
203
203
|
readonly capabilities: {
|
|
@@ -216,7 +216,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
216
216
|
readonly supportLevel: "high-fidelity";
|
|
217
217
|
readonly status: "stable";
|
|
218
218
|
readonly packageName: "@file-viewer/renderer-pdf";
|
|
219
|
-
readonly presets: readonly ["office", "all"];
|
|
219
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
220
220
|
readonly containerVersions: readonly ["PDF"];
|
|
221
221
|
readonly knownLimits: readonly [];
|
|
222
222
|
readonly capabilities: {
|
|
@@ -235,7 +235,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
235
235
|
readonly supportLevel: "structured";
|
|
236
236
|
readonly status: "stable";
|
|
237
237
|
readonly packageName: "@file-viewer/renderer-ofd";
|
|
238
|
-
readonly presets: readonly ["office", "all"];
|
|
238
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
239
239
|
readonly containerVersions: readonly ["OFD"];
|
|
240
240
|
readonly knownLimits: readonly [];
|
|
241
241
|
readonly capabilities: {
|
|
@@ -292,7 +292,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
292
292
|
readonly supportLevel: "structured";
|
|
293
293
|
readonly status: "stable";
|
|
294
294
|
readonly packageName: "@file-viewer/renderer-archive";
|
|
295
|
-
readonly presets: readonly ["all"];
|
|
295
|
+
readonly presets: readonly ["standard", "all"];
|
|
296
296
|
readonly containerVersions: readonly ["libarchive-supported containers"];
|
|
297
297
|
readonly knownLimits: readonly [];
|
|
298
298
|
readonly capabilities: {
|
|
@@ -311,7 +311,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
311
311
|
readonly supportLevel: "structured";
|
|
312
312
|
readonly status: "stable";
|
|
313
313
|
readonly packageName: "@file-viewer/renderer-email";
|
|
314
|
-
readonly presets: readonly ["all"];
|
|
314
|
+
readonly presets: readonly ["standard", "all"];
|
|
315
315
|
readonly containerVersions: readonly ["MIME", "Outlook MSG", "mbox"];
|
|
316
316
|
readonly knownLimits: readonly [];
|
|
317
317
|
readonly capabilities: {
|
|
@@ -501,7 +501,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
501
501
|
readonly supportLevel: "high-fidelity";
|
|
502
502
|
readonly status: "stable";
|
|
503
503
|
readonly packageName: "@file-viewer/renderer-image";
|
|
504
|
-
readonly presets: readonly ["lite", "all"];
|
|
504
|
+
readonly presets: readonly ["lite", "standard", "all"];
|
|
505
505
|
readonly containerVersions: readonly ["Raster", "SVG"];
|
|
506
506
|
readonly knownLimits: readonly [];
|
|
507
507
|
readonly capabilities: {
|
|
@@ -511,6 +511,44 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
511
511
|
readonly zoom: "provider";
|
|
512
512
|
readonly search: false;
|
|
513
513
|
};
|
|
514
|
+
}, {
|
|
515
|
+
readonly id: "dicom";
|
|
516
|
+
readonly label: "DICOM";
|
|
517
|
+
readonly category: "medical-image";
|
|
518
|
+
readonly extensions: readonly ["dcm", "dicom"];
|
|
519
|
+
readonly async: true;
|
|
520
|
+
readonly supportLevel: "basic";
|
|
521
|
+
readonly status: "experimental";
|
|
522
|
+
readonly packageName: "@file-viewer/renderer-dicom";
|
|
523
|
+
readonly presets: readonly [];
|
|
524
|
+
readonly containerVersions: readonly ["DICOM Part 10"];
|
|
525
|
+
readonly knownLimits: readonly ["Local single-file and multi-frame viewing only; series assembly, PACS/DICOMweb, MPR, segmentation, measurement tools, and diagnostic-use claims are not included", "Tested transfer syntaxes are Implicit/Explicit VR Little Endian, JPEG Lossless Process 14 SV1, JPEG-LS Lossless, and JPEG 2000 Lossless"];
|
|
526
|
+
readonly capabilities: {
|
|
527
|
+
readonly download: true;
|
|
528
|
+
readonly print: false;
|
|
529
|
+
readonly exportHtml: false;
|
|
530
|
+
readonly zoom: "provider";
|
|
531
|
+
readonly search: false;
|
|
532
|
+
};
|
|
533
|
+
}, {
|
|
534
|
+
readonly id: "signature";
|
|
535
|
+
readonly label: "Digital signatures and evidence containers";
|
|
536
|
+
readonly category: "cryptographic-container";
|
|
537
|
+
readonly extensions: readonly ["p7m", "p7s", "p7c", "p7b", "pkcs7", "cms", "cmsc", "tsd", "tst", "tsq", "tsr", "asics", "scs", "asice", "sce", "ers", "asc", "sig", "pgp", "gpg", "jws"];
|
|
538
|
+
readonly async: true;
|
|
539
|
+
readonly supportLevel: "structured";
|
|
540
|
+
readonly status: "experimental";
|
|
541
|
+
readonly packageName: "@file-viewer/renderer-signature";
|
|
542
|
+
readonly presets: readonly [];
|
|
543
|
+
readonly containerVersions: readonly ["CMS/PKCS#7", "CAdES attributes", "RFC 3161", "RFC 5544", "ASiC-S/E", "RFC 4998", "RFC 7515", "OpenPGP RFC 9580"];
|
|
544
|
+
readonly knownLimits: readonly ["Opt-in renderer; it is not added to the published preset-all/full compatibility closure", "Cryptographic checks are reported separately from certificate/key trust, policy, qualified-signature status and legal validity", "ASiC XML references and RFC 4998 renewal chains are structurally inspected; full XAdES and archival-policy validation are not claimed", "OpenPGP private-key operations and automatic decryption are intentionally excluded"];
|
|
545
|
+
readonly capabilities: {
|
|
546
|
+
readonly download: true;
|
|
547
|
+
readonly print: false;
|
|
548
|
+
readonly exportHtml: false;
|
|
549
|
+
readonly zoom: false;
|
|
550
|
+
readonly search: false;
|
|
551
|
+
};
|
|
514
552
|
}, {
|
|
515
553
|
readonly id: "markdown";
|
|
516
554
|
readonly label: "Markdown";
|
|
@@ -520,7 +558,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
520
558
|
readonly supportLevel: "structured";
|
|
521
559
|
readonly status: "stable";
|
|
522
560
|
readonly packageName: "@file-viewer/renderer-text";
|
|
523
|
-
readonly presets: readonly ["lite", "all"];
|
|
561
|
+
readonly presets: readonly ["lite", "standard", "all"];
|
|
524
562
|
readonly containerVersions: readonly ["CommonMark/GFM"];
|
|
525
563
|
readonly knownLimits: readonly [];
|
|
526
564
|
readonly capabilities: {
|
|
@@ -539,7 +577,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
539
577
|
readonly supportLevel: "structured";
|
|
540
578
|
readonly status: "stable";
|
|
541
579
|
readonly packageName: "@file-viewer/renderer-text";
|
|
542
|
-
readonly presets: readonly ["lite", "all"];
|
|
580
|
+
readonly presets: readonly ["lite", "standard", "all"];
|
|
543
581
|
readonly containerVersions: readonly ["Plain text", "source code", "Git bundle"];
|
|
544
582
|
readonly knownLimits: readonly [];
|
|
545
583
|
readonly capabilities: {
|
|
@@ -558,7 +596,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
558
596
|
readonly supportLevel: "high-fidelity";
|
|
559
597
|
readonly status: "stable";
|
|
560
598
|
readonly packageName: "@file-viewer/renderer-media";
|
|
561
|
-
readonly presets: readonly ["lite", "all"];
|
|
599
|
+
readonly presets: readonly ["lite", "standard", "all"];
|
|
562
600
|
readonly containerVersions: readonly ["Browser media"];
|
|
563
601
|
readonly knownLimits: readonly ["Codec support follows the browser"];
|
|
564
602
|
readonly capabilities: {
|
|
@@ -577,7 +615,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
577
615
|
readonly supportLevel: "high-fidelity";
|
|
578
616
|
readonly status: "stable";
|
|
579
617
|
readonly packageName: "@file-viewer/renderer-media";
|
|
580
|
-
readonly presets: readonly ["lite", "all"];
|
|
618
|
+
readonly presets: readonly ["lite", "standard", "all"];
|
|
581
619
|
readonly containerVersions: readonly ["Browser media", "MIDI"];
|
|
582
620
|
readonly knownLimits: readonly ["Codec support follows the browser"];
|
|
583
621
|
readonly capabilities: {
|
|
@@ -607,7 +645,7 @@ export declare const DEFAULT_RENDERER_DEFINITIONS: readonly [{
|
|
|
607
645
|
readonly search: true;
|
|
608
646
|
};
|
|
609
647
|
}];
|
|
610
|
-
export declare const DEFAULT_REGISTERED_EXTENSIONS: readonly ("markdown" | "webp" | "jpeg" | "png" | "xyz" | "wasm" | "pdf" | "typst" | "js" | "html" | "svg" | "rb" | "docx" | "docm" | "dotx" | "dotm" | "doc" | "dot" | "ppt" | "pot" | "pptx" | "pptm" | "potx" | "potm" | "ppsx" | "ppsm" | "rtf" | "odt" | "odp" | "xlsx" | "xltx" | "xlsm" | "xlsb" | "xls" | "xlt" | "xla" | "xlam" | "xltm" | "csv" | "tsv" | "ods" | "fods" | "pages" | "numbers" | "key" | "wpd" | "wp" | "wp5" | "wp6" | "dbf" | "ofd" | "hwp" | "hwpx" | "typ" | "zip" | "zipx" | "7z" | "rar" | "tar" | "gz" | "gzip" | "tgz" | "bz2" | "bzip2" | "tbz" | "tbz2" | "xz" | "txz" | "lzma" | "zst" | "tzst" | "cab" | "ar" | "cpio" | "iso" | "xar" | "lha" | "lzh" | "jar" | "war" | "ear" | "apk" | "cbz" | "cbr" | "eml" | "msg" | "mbox" | "olb" | "dra" | "gds" | "oas" | "oasis" | "dxf" | "dwg" | "dwf" | "dwfx" | "xps" | "glb" | "gltf" | "obj" | "stl" | "ply" | "fbx" | "dae" | "3ds" | "3mf" | "amf" | "usd" | "usda" | "usdc" | "usdz" | "kmz" | "step" | "stp" | "iges" | "igs" | "ifc" | "3dm" | "brep" | "pcd" | "wrl" | "vrml" | "vtk" | "vtp" | "geojson" | "kml" | "gpx" | "shp" | "excalidraw" | "drawio" | "dio" | "mermaid" | "mmd" | "plantuml" | "puml" | "xmind" | "epub" | "fb2" | "umd" | "gif" | "jpg" | "bmp" | "tiff" | "tif" | "avif" | "ico" | "heic" | "heif" | "jxl" | "md" | "txt" | "json" | "mjs" | "cjs" | "css" | "java" | "py" | "htm" | "jsx" | "ts" | "tsx" | "xml" | "log" | "vue" | "yaml" | "yml" | "ini" | "sh" | "bash" | "sql" | "go" | "rs" | "php" | "c" | "cpp" | "cc" | "h" | "hpp" | "cs" | "diff" | "patch" | "bundle" | "bdl" | "jsonc" | "json5" | "ipynb" | "toml" | "proto" | "hcl" | "tex" | "gv" | "http" | "react" | "swift" | "kt" | "mp4" | "webm" | "m3u8" | "mp3" | "mpeg" | "wav" | "ogg" | "oga" | "opus" | "m4a" | "aac" | "flac" | "weba" | "midi" | "mid" | "ttf" | "otf" | "woff" | "woff2" | "psd" | "ai" | "eps" | "sqlite" | "parquet" | "avro" | "webarchive")[];
|
|
648
|
+
export declare const DEFAULT_REGISTERED_EXTENSIONS: readonly ("markdown" | "webp" | "jpeg" | "png" | "xyz" | "wasm" | "pdf" | "typst" | "js" | "html" | "svg" | "rb" | "docx" | "docm" | "dotx" | "dotm" | "doc" | "dot" | "ppt" | "pot" | "pptx" | "pptm" | "potx" | "potm" | "ppsx" | "ppsm" | "rtf" | "odt" | "odp" | "xlsx" | "xltx" | "xlsm" | "xlsb" | "xls" | "xlt" | "xla" | "xlam" | "xltm" | "csv" | "tsv" | "ods" | "fods" | "pages" | "numbers" | "key" | "wpd" | "wp" | "wp5" | "wp6" | "dbf" | "ofd" | "hwp" | "hwpx" | "typ" | "zip" | "zipx" | "7z" | "rar" | "tar" | "gz" | "gzip" | "tgz" | "bz2" | "bzip2" | "tbz" | "tbz2" | "xz" | "txz" | "lzma" | "zst" | "tzst" | "cab" | "ar" | "cpio" | "iso" | "xar" | "lha" | "lzh" | "jar" | "war" | "ear" | "apk" | "cbz" | "cbr" | "eml" | "msg" | "mbox" | "olb" | "dra" | "gds" | "oas" | "oasis" | "dxf" | "dwg" | "dwf" | "dwfx" | "xps" | "glb" | "gltf" | "obj" | "stl" | "ply" | "fbx" | "dae" | "3ds" | "3mf" | "amf" | "usd" | "usda" | "usdc" | "usdz" | "kmz" | "step" | "stp" | "iges" | "igs" | "ifc" | "3dm" | "brep" | "pcd" | "wrl" | "vrml" | "vtk" | "vtp" | "geojson" | "kml" | "gpx" | "shp" | "excalidraw" | "drawio" | "dio" | "mermaid" | "mmd" | "plantuml" | "puml" | "xmind" | "epub" | "fb2" | "umd" | "gif" | "jpg" | "bmp" | "tiff" | "tif" | "avif" | "ico" | "heic" | "heif" | "jxl" | "dicom" | "dcm" | "p7m" | "p7s" | "p7c" | "p7b" | "pkcs7" | "cms" | "cmsc" | "tsd" | "tst" | "tsq" | "tsr" | "asics" | "scs" | "asice" | "sce" | "ers" | "asc" | "sig" | "pgp" | "gpg" | "jws" | "md" | "txt" | "json" | "mjs" | "cjs" | "css" | "java" | "py" | "htm" | "jsx" | "ts" | "tsx" | "xml" | "log" | "vue" | "yaml" | "yml" | "ini" | "sh" | "bash" | "sql" | "go" | "rs" | "php" | "c" | "cpp" | "cc" | "h" | "hpp" | "cs" | "diff" | "patch" | "bundle" | "bdl" | "jsonc" | "json5" | "ipynb" | "toml" | "proto" | "hcl" | "tex" | "gv" | "http" | "react" | "swift" | "kt" | "mp4" | "webm" | "m3u8" | "mp3" | "mpeg" | "wav" | "ogg" | "oga" | "opus" | "m4a" | "aac" | "flac" | "weba" | "midi" | "mid" | "ttf" | "otf" | "woff" | "woff2" | "psd" | "ai" | "eps" | "sqlite" | "parquet" | "avro" | "webarchive")[];
|
|
611
649
|
export declare const DEFAULT_STABLE_SUPPORTED_EXTENSIONS: readonly ("markdown" | "webp" | "jpeg" | "png" | "xyz" | "wasm" | "pdf" | "typst" | "js" | "html" | "svg" | "rb" | "docx" | "docm" | "dotx" | "dotm" | "doc" | "dot" | "ppt" | "pot" | "pptx" | "pptm" | "potx" | "potm" | "ppsx" | "ppsm" | "rtf" | "odt" | "odp" | "xlsx" | "xltx" | "xlsm" | "xlsb" | "xls" | "xlt" | "xla" | "xlam" | "xltm" | "csv" | "tsv" | "ods" | "fods" | "pages" | "numbers" | "key" | "wpd" | "wp" | "wp5" | "wp6" | "dbf" | "ofd" | "hwp" | "hwpx" | "typ" | "zip" | "zipx" | "7z" | "rar" | "tar" | "gz" | "gzip" | "tgz" | "bz2" | "bzip2" | "tbz" | "tbz2" | "xz" | "txz" | "lzma" | "zst" | "tzst" | "cab" | "ar" | "cpio" | "iso" | "xar" | "lha" | "lzh" | "jar" | "war" | "ear" | "apk" | "cbz" | "cbr" | "eml" | "msg" | "mbox" | "olb" | "dra" | "gds" | "oas" | "oasis" | "dxf" | "dwg" | "dwf" | "dwfx" | "xps" | "glb" | "gltf" | "obj" | "stl" | "ply" | "fbx" | "dae" | "3ds" | "3mf" | "amf" | "usd" | "usda" | "usdc" | "usdz" | "kmz" | "step" | "stp" | "iges" | "igs" | "ifc" | "3dm" | "brep" | "pcd" | "wrl" | "vrml" | "vtk" | "vtp" | "geojson" | "kml" | "gpx" | "shp" | "excalidraw" | "drawio" | "dio" | "mermaid" | "mmd" | "plantuml" | "puml" | "xmind" | "epub" | "fb2" | "umd" | "gif" | "jpg" | "bmp" | "tiff" | "tif" | "avif" | "ico" | "heic" | "heif" | "jxl" | "md" | "txt" | "json" | "mjs" | "cjs" | "css" | "java" | "py" | "htm" | "jsx" | "ts" | "tsx" | "xml" | "log" | "vue" | "yaml" | "yml" | "ini" | "sh" | "bash" | "sql" | "go" | "rs" | "php" | "c" | "cpp" | "cc" | "h" | "hpp" | "cs" | "diff" | "patch" | "bundle" | "bdl" | "jsonc" | "json5" | "ipynb" | "toml" | "proto" | "hcl" | "tex" | "gv" | "http" | "react" | "swift" | "kt" | "mp4" | "webm" | "m3u8" | "mp3" | "mpeg" | "wav" | "ogg" | "oga" | "opus" | "m4a" | "aac" | "flac" | "weba" | "midi" | "mid" | "ttf" | "otf" | "woff" | "woff2" | "psd" | "ai" | "eps" | "sqlite" | "parquet" | "avro" | "webarchive")[];
|
|
612
650
|
/** @deprecated Use DEFAULT_REGISTERED_EXTENSIONS when the experimental/stable distinction matters. */
|
|
613
|
-
export declare const DEFAULT_SUPPORTED_EXTENSIONS: readonly ("markdown" | "webp" | "jpeg" | "png" | "xyz" | "wasm" | "pdf" | "typst" | "js" | "html" | "svg" | "rb" | "docx" | "docm" | "dotx" | "dotm" | "doc" | "dot" | "ppt" | "pot" | "pptx" | "pptm" | "potx" | "potm" | "ppsx" | "ppsm" | "rtf" | "odt" | "odp" | "xlsx" | "xltx" | "xlsm" | "xlsb" | "xls" | "xlt" | "xla" | "xlam" | "xltm" | "csv" | "tsv" | "ods" | "fods" | "pages" | "numbers" | "key" | "wpd" | "wp" | "wp5" | "wp6" | "dbf" | "ofd" | "hwp" | "hwpx" | "typ" | "zip" | "zipx" | "7z" | "rar" | "tar" | "gz" | "gzip" | "tgz" | "bz2" | "bzip2" | "tbz" | "tbz2" | "xz" | "txz" | "lzma" | "zst" | "tzst" | "cab" | "ar" | "cpio" | "iso" | "xar" | "lha" | "lzh" | "jar" | "war" | "ear" | "apk" | "cbz" | "cbr" | "eml" | "msg" | "mbox" | "olb" | "dra" | "gds" | "oas" | "oasis" | "dxf" | "dwg" | "dwf" | "dwfx" | "xps" | "glb" | "gltf" | "obj" | "stl" | "ply" | "fbx" | "dae" | "3ds" | "3mf" | "amf" | "usd" | "usda" | "usdc" | "usdz" | "kmz" | "step" | "stp" | "iges" | "igs" | "ifc" | "3dm" | "brep" | "pcd" | "wrl" | "vrml" | "vtk" | "vtp" | "geojson" | "kml" | "gpx" | "shp" | "excalidraw" | "drawio" | "dio" | "mermaid" | "mmd" | "plantuml" | "puml" | "xmind" | "epub" | "fb2" | "umd" | "gif" | "jpg" | "bmp" | "tiff" | "tif" | "avif" | "ico" | "heic" | "heif" | "jxl" | "md" | "txt" | "json" | "mjs" | "cjs" | "css" | "java" | "py" | "htm" | "jsx" | "ts" | "tsx" | "xml" | "log" | "vue" | "yaml" | "yml" | "ini" | "sh" | "bash" | "sql" | "go" | "rs" | "php" | "c" | "cpp" | "cc" | "h" | "hpp" | "cs" | "diff" | "patch" | "bundle" | "bdl" | "jsonc" | "json5" | "ipynb" | "toml" | "proto" | "hcl" | "tex" | "gv" | "http" | "react" | "swift" | "kt" | "mp4" | "webm" | "m3u8" | "mp3" | "mpeg" | "wav" | "ogg" | "oga" | "opus" | "m4a" | "aac" | "flac" | "weba" | "midi" | "mid" | "ttf" | "otf" | "woff" | "woff2" | "psd" | "ai" | "eps" | "sqlite" | "parquet" | "avro" | "webarchive")[];
|
|
651
|
+
export declare const DEFAULT_SUPPORTED_EXTENSIONS: readonly ("markdown" | "webp" | "jpeg" | "png" | "xyz" | "wasm" | "pdf" | "typst" | "js" | "html" | "svg" | "rb" | "docx" | "docm" | "dotx" | "dotm" | "doc" | "dot" | "ppt" | "pot" | "pptx" | "pptm" | "potx" | "potm" | "ppsx" | "ppsm" | "rtf" | "odt" | "odp" | "xlsx" | "xltx" | "xlsm" | "xlsb" | "xls" | "xlt" | "xla" | "xlam" | "xltm" | "csv" | "tsv" | "ods" | "fods" | "pages" | "numbers" | "key" | "wpd" | "wp" | "wp5" | "wp6" | "dbf" | "ofd" | "hwp" | "hwpx" | "typ" | "zip" | "zipx" | "7z" | "rar" | "tar" | "gz" | "gzip" | "tgz" | "bz2" | "bzip2" | "tbz" | "tbz2" | "xz" | "txz" | "lzma" | "zst" | "tzst" | "cab" | "ar" | "cpio" | "iso" | "xar" | "lha" | "lzh" | "jar" | "war" | "ear" | "apk" | "cbz" | "cbr" | "eml" | "msg" | "mbox" | "olb" | "dra" | "gds" | "oas" | "oasis" | "dxf" | "dwg" | "dwf" | "dwfx" | "xps" | "glb" | "gltf" | "obj" | "stl" | "ply" | "fbx" | "dae" | "3ds" | "3mf" | "amf" | "usd" | "usda" | "usdc" | "usdz" | "kmz" | "step" | "stp" | "iges" | "igs" | "ifc" | "3dm" | "brep" | "pcd" | "wrl" | "vrml" | "vtk" | "vtp" | "geojson" | "kml" | "gpx" | "shp" | "excalidraw" | "drawio" | "dio" | "mermaid" | "mmd" | "plantuml" | "puml" | "xmind" | "epub" | "fb2" | "umd" | "gif" | "jpg" | "bmp" | "tiff" | "tif" | "avif" | "ico" | "heic" | "heif" | "jxl" | "dicom" | "dcm" | "p7m" | "p7s" | "p7c" | "p7b" | "pkcs7" | "cms" | "cmsc" | "tsd" | "tst" | "tsq" | "tsr" | "asics" | "scs" | "asice" | "sce" | "ers" | "asc" | "sig" | "pgp" | "gpg" | "jws" | "md" | "txt" | "json" | "mjs" | "cjs" | "css" | "java" | "py" | "htm" | "jsx" | "ts" | "tsx" | "xml" | "log" | "vue" | "yaml" | "yml" | "ini" | "sh" | "bash" | "sql" | "go" | "rs" | "php" | "c" | "cpp" | "cc" | "h" | "hpp" | "cs" | "diff" | "patch" | "bundle" | "bdl" | "jsonc" | "json5" | "ipynb" | "toml" | "proto" | "hcl" | "tex" | "gv" | "http" | "react" | "swift" | "kt" | "mp4" | "webm" | "m3u8" | "mp3" | "mpeg" | "wav" | "ogg" | "oga" | "opus" | "m4a" | "aac" | "flac" | "weba" | "midi" | "mid" | "ttf" | "otf" | "woff" | "woff2" | "psd" | "ai" | "eps" | "sqlite" | "parquet" | "avro" | "webarchive")[];
|
|
@@ -14,6 +14,7 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
14
14
|
"status": "stable",
|
|
15
15
|
"packageName": "@file-viewer/renderer-word",
|
|
16
16
|
"presets": [
|
|
17
|
+
"standard",
|
|
17
18
|
"office",
|
|
18
19
|
"all"
|
|
19
20
|
],
|
|
@@ -45,6 +46,7 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
45
46
|
"status": "stable",
|
|
46
47
|
"packageName": "@file-viewer/renderer-word",
|
|
47
48
|
"presets": [
|
|
49
|
+
"standard",
|
|
48
50
|
"office",
|
|
49
51
|
"all"
|
|
50
52
|
],
|
|
@@ -73,7 +75,7 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
73
75
|
"async": true,
|
|
74
76
|
"supportLevel": "structured",
|
|
75
77
|
"status": "stable",
|
|
76
|
-
"packageName": "@file-viewer/renderer-
|
|
78
|
+
"packageName": "@file-viewer/renderer-ppt",
|
|
77
79
|
"presets": [
|
|
78
80
|
"office",
|
|
79
81
|
"all"
|
|
@@ -108,8 +110,9 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
108
110
|
"async": true,
|
|
109
111
|
"supportLevel": "high-fidelity",
|
|
110
112
|
"status": "stable",
|
|
111
|
-
"packageName": "@file-viewer/renderer-
|
|
113
|
+
"packageName": "@file-viewer/renderer-pptx",
|
|
112
114
|
"presets": [
|
|
115
|
+
"standard",
|
|
113
116
|
"office",
|
|
114
117
|
"all"
|
|
115
118
|
],
|
|
@@ -142,6 +145,7 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
142
145
|
"status": "stable",
|
|
143
146
|
"packageName": "@file-viewer/renderer-word",
|
|
144
147
|
"presets": [
|
|
148
|
+
"standard",
|
|
145
149
|
"office",
|
|
146
150
|
"all"
|
|
147
151
|
],
|
|
@@ -182,6 +186,7 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
182
186
|
"status": "stable",
|
|
183
187
|
"packageName": "@file-viewer/renderer-spreadsheet",
|
|
184
188
|
"presets": [
|
|
189
|
+
"standard",
|
|
185
190
|
"office",
|
|
186
191
|
"all"
|
|
187
192
|
],
|
|
@@ -344,6 +349,7 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
344
349
|
"status": "stable",
|
|
345
350
|
"packageName": "@file-viewer/renderer-spreadsheet",
|
|
346
351
|
"presets": [
|
|
352
|
+
"standard",
|
|
347
353
|
"office",
|
|
348
354
|
"all"
|
|
349
355
|
],
|
|
@@ -374,6 +380,7 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
374
380
|
"status": "stable",
|
|
375
381
|
"packageName": "@file-viewer/renderer-pdf",
|
|
376
382
|
"presets": [
|
|
383
|
+
"standard",
|
|
377
384
|
"office",
|
|
378
385
|
"all"
|
|
379
386
|
],
|
|
@@ -401,6 +408,7 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
401
408
|
"status": "stable",
|
|
402
409
|
"packageName": "@file-viewer/renderer-ofd",
|
|
403
410
|
"presets": [
|
|
411
|
+
"standard",
|
|
404
412
|
"office",
|
|
405
413
|
"all"
|
|
406
414
|
],
|
|
@@ -517,6 +525,7 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
517
525
|
"status": "stable",
|
|
518
526
|
"packageName": "@file-viewer/renderer-archive",
|
|
519
527
|
"presets": [
|
|
528
|
+
"standard",
|
|
520
529
|
"all"
|
|
521
530
|
],
|
|
522
531
|
"containerVersions": [
|
|
@@ -545,6 +554,7 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
545
554
|
"status": "stable",
|
|
546
555
|
"packageName": "@file-viewer/renderer-email",
|
|
547
556
|
"presets": [
|
|
557
|
+
"standard",
|
|
548
558
|
"all"
|
|
549
559
|
],
|
|
550
560
|
"containerVersions": [
|
|
@@ -885,6 +895,7 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
885
895
|
"packageName": "@file-viewer/renderer-image",
|
|
886
896
|
"presets": [
|
|
887
897
|
"lite",
|
|
898
|
+
"standard",
|
|
888
899
|
"all"
|
|
889
900
|
],
|
|
890
901
|
"containerVersions": [
|
|
@@ -900,6 +911,90 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
900
911
|
"search": false
|
|
901
912
|
}
|
|
902
913
|
},
|
|
914
|
+
{
|
|
915
|
+
"id": "dicom",
|
|
916
|
+
"label": "DICOM",
|
|
917
|
+
"category": "medical-image",
|
|
918
|
+
"extensions": [
|
|
919
|
+
"dcm",
|
|
920
|
+
"dicom"
|
|
921
|
+
],
|
|
922
|
+
"async": true,
|
|
923
|
+
"supportLevel": "basic",
|
|
924
|
+
"status": "experimental",
|
|
925
|
+
"packageName": "@file-viewer/renderer-dicom",
|
|
926
|
+
"presets": [],
|
|
927
|
+
"containerVersions": [
|
|
928
|
+
"DICOM Part 10"
|
|
929
|
+
],
|
|
930
|
+
"knownLimits": [
|
|
931
|
+
"Local single-file and multi-frame viewing only; series assembly, PACS/DICOMweb, MPR, segmentation, measurement tools, and diagnostic-use claims are not included",
|
|
932
|
+
"Tested transfer syntaxes are Implicit/Explicit VR Little Endian, JPEG Lossless Process 14 SV1, JPEG-LS Lossless, and JPEG 2000 Lossless"
|
|
933
|
+
],
|
|
934
|
+
"capabilities": {
|
|
935
|
+
"download": true,
|
|
936
|
+
"print": false,
|
|
937
|
+
"exportHtml": false,
|
|
938
|
+
"zoom": "provider",
|
|
939
|
+
"search": false
|
|
940
|
+
}
|
|
941
|
+
},
|
|
942
|
+
{
|
|
943
|
+
"id": "signature",
|
|
944
|
+
"label": "Digital signatures and evidence containers",
|
|
945
|
+
"category": "cryptographic-container",
|
|
946
|
+
"extensions": [
|
|
947
|
+
"p7m",
|
|
948
|
+
"p7s",
|
|
949
|
+
"p7c",
|
|
950
|
+
"p7b",
|
|
951
|
+
"pkcs7",
|
|
952
|
+
"cms",
|
|
953
|
+
"cmsc",
|
|
954
|
+
"tsd",
|
|
955
|
+
"tst",
|
|
956
|
+
"tsq",
|
|
957
|
+
"tsr",
|
|
958
|
+
"asics",
|
|
959
|
+
"scs",
|
|
960
|
+
"asice",
|
|
961
|
+
"sce",
|
|
962
|
+
"ers",
|
|
963
|
+
"asc",
|
|
964
|
+
"sig",
|
|
965
|
+
"pgp",
|
|
966
|
+
"gpg",
|
|
967
|
+
"jws"
|
|
968
|
+
],
|
|
969
|
+
"async": true,
|
|
970
|
+
"supportLevel": "structured",
|
|
971
|
+
"status": "experimental",
|
|
972
|
+
"packageName": "@file-viewer/renderer-signature",
|
|
973
|
+
"presets": [],
|
|
974
|
+
"containerVersions": [
|
|
975
|
+
"CMS/PKCS#7",
|
|
976
|
+
"CAdES attributes",
|
|
977
|
+
"RFC 3161",
|
|
978
|
+
"RFC 5544",
|
|
979
|
+
"ASiC-S/E",
|
|
980
|
+
"RFC 4998",
|
|
981
|
+
"RFC 7515",
|
|
982
|
+
"OpenPGP RFC 9580"
|
|
983
|
+
],
|
|
984
|
+
"knownLimits": [
|
|
985
|
+
"Opt-in renderer; it is not added to the published preset-all/full compatibility closure",
|
|
986
|
+
"Cryptographic checks are reported separately from certificate/key trust, policy, qualified-signature status and legal validity",
|
|
987
|
+
"ASiC XML references and RFC 4998 renewal chains are structurally inspected; full XAdES and archival-policy validation are not claimed",
|
|
988
|
+
"OpenPGP private-key operations and automatic decryption are intentionally excluded"
|
|
989
|
+
],
|
|
990
|
+
"capabilities": {
|
|
991
|
+
"download": true,
|
|
992
|
+
"print": false,
|
|
993
|
+
"exportHtml": false,
|
|
994
|
+
"zoom": false,
|
|
995
|
+
"search": false
|
|
996
|
+
}
|
|
997
|
+
},
|
|
903
998
|
{
|
|
904
999
|
"id": "markdown",
|
|
905
1000
|
"label": "Markdown",
|
|
@@ -914,6 +1009,7 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
914
1009
|
"packageName": "@file-viewer/renderer-text",
|
|
915
1010
|
"presets": [
|
|
916
1011
|
"lite",
|
|
1012
|
+
"standard",
|
|
917
1013
|
"all"
|
|
918
1014
|
],
|
|
919
1015
|
"containerVersions": [
|
|
@@ -988,6 +1084,7 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
988
1084
|
"packageName": "@file-viewer/renderer-text",
|
|
989
1085
|
"presets": [
|
|
990
1086
|
"lite",
|
|
1087
|
+
"standard",
|
|
991
1088
|
"all"
|
|
992
1089
|
],
|
|
993
1090
|
"containerVersions": [
|
|
@@ -1019,6 +1116,7 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
1019
1116
|
"packageName": "@file-viewer/renderer-media",
|
|
1020
1117
|
"presets": [
|
|
1021
1118
|
"lite",
|
|
1119
|
+
"standard",
|
|
1022
1120
|
"all"
|
|
1023
1121
|
],
|
|
1024
1122
|
"containerVersions": [
|
|
@@ -1059,6 +1157,7 @@ export const DEFAULT_RENDERER_DEFINITIONS = [
|
|
|
1059
1157
|
"packageName": "@file-viewer/renderer-media",
|
|
1060
1158
|
"presets": [
|
|
1061
1159
|
"lite",
|
|
1160
|
+
"standard",
|
|
1062
1161
|
"all"
|
|
1063
1162
|
],
|
|
1064
1163
|
"containerVersions": [
|
|
@@ -16,7 +16,7 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
16
16
|
readonly supportLevel: "high-fidelity";
|
|
17
17
|
readonly status: "stable";
|
|
18
18
|
readonly packageName: "@file-viewer/renderer-word";
|
|
19
|
-
readonly presets: readonly ["office", "all"];
|
|
19
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
20
20
|
readonly containerVersions: readonly ["OOXML Transitional", "OOXML Strict"];
|
|
21
21
|
readonly knownLimits: readonly ["VBA is never executed"];
|
|
22
22
|
readonly capabilities: {
|
|
@@ -35,7 +35,7 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
35
35
|
readonly supportLevel: "structured";
|
|
36
36
|
readonly status: "stable";
|
|
37
37
|
readonly packageName: "@file-viewer/renderer-word";
|
|
38
|
-
readonly presets: readonly ["office", "all"];
|
|
38
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
39
39
|
readonly containerVersions: readonly ["Word 97-2003 Binary"];
|
|
40
40
|
readonly knownLimits: readonly ["Macros are never executed"];
|
|
41
41
|
readonly capabilities: {
|
|
@@ -53,7 +53,7 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
53
53
|
readonly async: true;
|
|
54
54
|
readonly supportLevel: "structured";
|
|
55
55
|
readonly status: "stable";
|
|
56
|
-
readonly packageName: "@file-viewer/renderer-
|
|
56
|
+
readonly packageName: "@file-viewer/renderer-ppt";
|
|
57
57
|
readonly presets: readonly ["office", "all"];
|
|
58
58
|
readonly containerVersions: readonly ["PowerPoint 97-2003 Binary"];
|
|
59
59
|
readonly knownLimits: readonly ["Embedded engine watermark is retained", "Macros are never executed"];
|
|
@@ -72,8 +72,8 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
72
72
|
readonly async: true;
|
|
73
73
|
readonly supportLevel: "high-fidelity";
|
|
74
74
|
readonly status: "stable";
|
|
75
|
-
readonly packageName: "@file-viewer/renderer-
|
|
76
|
-
readonly presets: readonly ["office", "all"];
|
|
75
|
+
readonly packageName: "@file-viewer/renderer-pptx";
|
|
76
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
77
77
|
readonly containerVersions: readonly ["OOXML Transitional", "OOXML Strict"];
|
|
78
78
|
readonly knownLimits: readonly ["Macros and external programs are never executed"];
|
|
79
79
|
readonly capabilities: {
|
|
@@ -92,7 +92,7 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
92
92
|
readonly supportLevel: "structured";
|
|
93
93
|
readonly status: "stable";
|
|
94
94
|
readonly packageName: "@file-viewer/renderer-word";
|
|
95
|
-
readonly presets: readonly ["office", "all"];
|
|
95
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
96
96
|
readonly containerVersions: readonly ["RTF", "OpenDocument"];
|
|
97
97
|
readonly knownLimits: readonly [];
|
|
98
98
|
readonly capabilities: {
|
|
@@ -111,7 +111,7 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
111
111
|
readonly supportLevel: "structured";
|
|
112
112
|
readonly status: "stable";
|
|
113
113
|
readonly packageName: "@file-viewer/renderer-spreadsheet";
|
|
114
|
-
readonly presets: readonly ["office", "all"];
|
|
114
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
115
115
|
readonly containerVersions: readonly ["OOXML", "BIFF", "OpenDocument", "Delimited text"];
|
|
116
116
|
readonly knownLimits: readonly ["VBA and add-in code are never executed", "Formula results are read from the saved workbook cache"];
|
|
117
117
|
readonly capabilities: {
|
|
@@ -206,7 +206,7 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
206
206
|
readonly supportLevel: "structured";
|
|
207
207
|
readonly status: "stable";
|
|
208
208
|
readonly packageName: "@file-viewer/renderer-spreadsheet";
|
|
209
|
-
readonly presets: readonly ["office", "all"];
|
|
209
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
210
210
|
readonly containerVersions: readonly ["dBASE III/IV", "Visual FoxPro"];
|
|
211
211
|
readonly knownLimits: readonly ["Missing DBT/FPT memo sidecars are reported as incomplete"];
|
|
212
212
|
readonly capabilities: {
|
|
@@ -225,7 +225,7 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
225
225
|
readonly supportLevel: "high-fidelity";
|
|
226
226
|
readonly status: "stable";
|
|
227
227
|
readonly packageName: "@file-viewer/renderer-pdf";
|
|
228
|
-
readonly presets: readonly ["office", "all"];
|
|
228
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
229
229
|
readonly containerVersions: readonly ["PDF"];
|
|
230
230
|
readonly knownLimits: readonly [];
|
|
231
231
|
readonly capabilities: {
|
|
@@ -244,7 +244,7 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
244
244
|
readonly supportLevel: "structured";
|
|
245
245
|
readonly status: "stable";
|
|
246
246
|
readonly packageName: "@file-viewer/renderer-ofd";
|
|
247
|
-
readonly presets: readonly ["office", "all"];
|
|
247
|
+
readonly presets: readonly ["standard", "office", "all"];
|
|
248
248
|
readonly containerVersions: readonly ["OFD"];
|
|
249
249
|
readonly knownLimits: readonly [];
|
|
250
250
|
readonly capabilities: {
|
|
@@ -301,7 +301,7 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
301
301
|
readonly supportLevel: "structured";
|
|
302
302
|
readonly status: "stable";
|
|
303
303
|
readonly packageName: "@file-viewer/renderer-archive";
|
|
304
|
-
readonly presets: readonly ["all"];
|
|
304
|
+
readonly presets: readonly ["standard", "all"];
|
|
305
305
|
readonly containerVersions: readonly ["libarchive-supported containers"];
|
|
306
306
|
readonly knownLimits: readonly [];
|
|
307
307
|
readonly capabilities: {
|
|
@@ -320,7 +320,7 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
320
320
|
readonly supportLevel: "structured";
|
|
321
321
|
readonly status: "stable";
|
|
322
322
|
readonly packageName: "@file-viewer/renderer-email";
|
|
323
|
-
readonly presets: readonly ["all"];
|
|
323
|
+
readonly presets: readonly ["standard", "all"];
|
|
324
324
|
readonly containerVersions: readonly ["MIME", "Outlook MSG", "mbox"];
|
|
325
325
|
readonly knownLimits: readonly [];
|
|
326
326
|
readonly capabilities: {
|
|
@@ -510,7 +510,7 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
510
510
|
readonly supportLevel: "high-fidelity";
|
|
511
511
|
readonly status: "stable";
|
|
512
512
|
readonly packageName: "@file-viewer/renderer-image";
|
|
513
|
-
readonly presets: readonly ["lite", "all"];
|
|
513
|
+
readonly presets: readonly ["lite", "standard", "all"];
|
|
514
514
|
readonly containerVersions: readonly ["Raster", "SVG"];
|
|
515
515
|
readonly knownLimits: readonly [];
|
|
516
516
|
readonly capabilities: {
|
|
@@ -520,6 +520,44 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
520
520
|
readonly zoom: "provider";
|
|
521
521
|
readonly search: false;
|
|
522
522
|
};
|
|
523
|
+
} | {
|
|
524
|
+
readonly id: "dicom";
|
|
525
|
+
readonly label: "DICOM";
|
|
526
|
+
readonly category: "medical-image";
|
|
527
|
+
readonly extensions: readonly ["dcm", "dicom"];
|
|
528
|
+
readonly async: true;
|
|
529
|
+
readonly supportLevel: "basic";
|
|
530
|
+
readonly status: "experimental";
|
|
531
|
+
readonly packageName: "@file-viewer/renderer-dicom";
|
|
532
|
+
readonly presets: readonly [];
|
|
533
|
+
readonly containerVersions: readonly ["DICOM Part 10"];
|
|
534
|
+
readonly knownLimits: readonly ["Local single-file and multi-frame viewing only; series assembly, PACS/DICOMweb, MPR, segmentation, measurement tools, and diagnostic-use claims are not included", "Tested transfer syntaxes are Implicit/Explicit VR Little Endian, JPEG Lossless Process 14 SV1, JPEG-LS Lossless, and JPEG 2000 Lossless"];
|
|
535
|
+
readonly capabilities: {
|
|
536
|
+
readonly download: true;
|
|
537
|
+
readonly print: false;
|
|
538
|
+
readonly exportHtml: false;
|
|
539
|
+
readonly zoom: "provider";
|
|
540
|
+
readonly search: false;
|
|
541
|
+
};
|
|
542
|
+
} | {
|
|
543
|
+
readonly id: "signature";
|
|
544
|
+
readonly label: "Digital signatures and evidence containers";
|
|
545
|
+
readonly category: "cryptographic-container";
|
|
546
|
+
readonly extensions: readonly ["p7m", "p7s", "p7c", "p7b", "pkcs7", "cms", "cmsc", "tsd", "tst", "tsq", "tsr", "asics", "scs", "asice", "sce", "ers", "asc", "sig", "pgp", "gpg", "jws"];
|
|
547
|
+
readonly async: true;
|
|
548
|
+
readonly supportLevel: "structured";
|
|
549
|
+
readonly status: "experimental";
|
|
550
|
+
readonly packageName: "@file-viewer/renderer-signature";
|
|
551
|
+
readonly presets: readonly [];
|
|
552
|
+
readonly containerVersions: readonly ["CMS/PKCS#7", "CAdES attributes", "RFC 3161", "RFC 5544", "ASiC-S/E", "RFC 4998", "RFC 7515", "OpenPGP RFC 9580"];
|
|
553
|
+
readonly knownLimits: readonly ["Opt-in renderer; it is not added to the published preset-all/full compatibility closure", "Cryptographic checks are reported separately from certificate/key trust, policy, qualified-signature status and legal validity", "ASiC XML references and RFC 4998 renewal chains are structurally inspected; full XAdES and archival-policy validation are not claimed", "OpenPGP private-key operations and automatic decryption are intentionally excluded"];
|
|
554
|
+
readonly capabilities: {
|
|
555
|
+
readonly download: true;
|
|
556
|
+
readonly print: false;
|
|
557
|
+
readonly exportHtml: false;
|
|
558
|
+
readonly zoom: false;
|
|
559
|
+
readonly search: false;
|
|
560
|
+
};
|
|
523
561
|
} | {
|
|
524
562
|
readonly id: "markdown";
|
|
525
563
|
readonly label: "Markdown";
|
|
@@ -529,7 +567,7 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
529
567
|
readonly supportLevel: "structured";
|
|
530
568
|
readonly status: "stable";
|
|
531
569
|
readonly packageName: "@file-viewer/renderer-text";
|
|
532
|
-
readonly presets: readonly ["lite", "all"];
|
|
570
|
+
readonly presets: readonly ["lite", "standard", "all"];
|
|
533
571
|
readonly containerVersions: readonly ["CommonMark/GFM"];
|
|
534
572
|
readonly knownLimits: readonly [];
|
|
535
573
|
readonly capabilities: {
|
|
@@ -548,7 +586,7 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
548
586
|
readonly supportLevel: "structured";
|
|
549
587
|
readonly status: "stable";
|
|
550
588
|
readonly packageName: "@file-viewer/renderer-text";
|
|
551
|
-
readonly presets: readonly ["lite", "all"];
|
|
589
|
+
readonly presets: readonly ["lite", "standard", "all"];
|
|
552
590
|
readonly containerVersions: readonly ["Plain text", "source code", "Git bundle"];
|
|
553
591
|
readonly knownLimits: readonly [];
|
|
554
592
|
readonly capabilities: {
|
|
@@ -567,7 +605,7 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
567
605
|
readonly supportLevel: "high-fidelity";
|
|
568
606
|
readonly status: "stable";
|
|
569
607
|
readonly packageName: "@file-viewer/renderer-media";
|
|
570
|
-
readonly presets: readonly ["lite", "all"];
|
|
608
|
+
readonly presets: readonly ["lite", "standard", "all"];
|
|
571
609
|
readonly containerVersions: readonly ["Browser media"];
|
|
572
610
|
readonly knownLimits: readonly ["Codec support follows the browser"];
|
|
573
611
|
readonly capabilities: {
|
|
@@ -586,7 +624,7 @@ export declare const coreLiteRendererDefinitions: ({
|
|
|
586
624
|
readonly supportLevel: "high-fidelity";
|
|
587
625
|
readonly status: "stable";
|
|
588
626
|
readonly packageName: "@file-viewer/renderer-media";
|
|
589
|
-
readonly presets: readonly ["lite", "all"];
|
|
627
|
+
readonly presets: readonly ["lite", "standard", "all"];
|
|
590
628
|
readonly containerVersions: readonly ["Browser media", "MIDI"];
|
|
591
629
|
readonly knownLimits: readonly ["Codec support follows the browser"];
|
|
592
630
|
readonly capabilities: {
|
|
@@ -0,0 +1,13 @@
|
|
|
1
|
+
/**
|
|
2
|
+
* Keep ordinary SVG styles while preventing imports and resource requests.
|
|
3
|
+
* Obfuscated URL tokens fail closed instead of depending on parser quirks.
|
|
4
|
+
*/
|
|
5
|
+
export declare const sanitizeFileViewerSvgCss: (value: string) => string;
|
|
6
|
+
/** Remove executable attributes and every SVG resource URL that can load data remotely. */
|
|
7
|
+
export declare const sanitizeFileViewerSvgResources: (root: ParentNode) => void;
|
|
8
|
+
/**
|
|
9
|
+
* Mermaid 11 resolves image-node URLs with `new Image()` while rendering,
|
|
10
|
+
* before its SVG can be sanitized. Reject image metadata and explicit remote
|
|
11
|
+
* URLs before calling Mermaid so an untrusted diagram cannot initiate I/O.
|
|
12
|
+
*/
|
|
13
|
+
export declare const assertFileViewerMermaidSourceHasNoExternalResources: (source: string) => void;
|